#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package SrSv::NickServ::UI;

use strict;

use Exporter 'import';
BEGIN {
	our @EXPORT = qw(ns_command $ui);
	our @EXPORT_OK = qw(ns_dispatch);
}

use SrSv::NickServ;

our $ui;
BEGIN {
	$ui = {
		NAME => $nsnick,
		PREFIX => '/ns',
		ADD_COMMAND_SUB => 'ns_command',
		DISPATCH_SUB => 'ns_dispatch',
	};
}

use SrSv::AgentUI $ui;

1;
